LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | List of all members
Spreadsheets Service Referencepublished

represents the collection of spreadsheets in a spreadsheet document. More...

`import"Spreadsheets.idl";`

Inheritance diagram for Spreadsheets:

## Exported Interfaces
interface | com::sun::star::sheet::XSpreadsheets
| provides methods to access the spreadsheets by name and to insert, copy, remove and rearrange spreadsheets. More...
interface | com::sun::star::container::XIndexAccess
| provides methods to access the spreadsheets by index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all spreadsheets. More...
interface | com::sun::star::sheet::XCellRangesAccess

## Additional Inherited Members
Public Member Functions inherited from XSpreadsheets
void | insertNewByName ([in] string aName, [in] short nPosition)
| inserts a new sheet into the collection. More...
void | moveByName ([in] string aName, [in] short nDestination)
| moves a sheet within the collection. More...
void | copyByName ([in] string aName, [in] string aCopy, [in] short nDestination)
| copies a sheet within the collection. More...
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Protected Member Functions inherited from XCellRangesAccess
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow, [in] long nSheet) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range. More...
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom, [in] long nSheet) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range. More...
sequence< com::sun::star::table::XCellRange > | getCellRangesByName ([in] string aRange) raises ( com::sun::star::lang::IllegalArgumentException )
| Returns a sub-range of cells within the range. More...

## Detailed Description

represents the collection of spreadsheets in a spreadsheet document.

See also
  com::sun::star::sheet::SpreadsheetDocument

Developers Guide
  Spreadsheet Documents - Working With Spreadsheet Documents - Document Structure - Spreadsheet Document

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all spreadsheets.

See also
  com::sun::star::sheet::SpreadsheetsEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides methods to access the spreadsheets by index.

See also
  com::sun::star::sheet::Spreadsheet

## ◆ com::sun::star::sheet::XCellRangesAccess

interface com::sun::star::sheet::XCellRangesAccess
| optional

## ◆ com::sun::star::sheet::XSpreadsheets

interface com::sun::star::sheet::XSpreadsheets

provides methods to access the spreadsheets by name and to insert, copy, remove and rearrange spreadsheets.

See also
  com::sun::star::sheet::Spreadsheet

The documentation for this service was generated from the following file:

- com/sun/star/sheet/Spreadsheets.idl